from imgui_bundle import imgui, imgui_ctx, immapp

from hourtrack.compo import GanttView, TriageView

gctx = GanttView.Context(GanttView.SimpleIO())
tctx = TriageView.Context(TriageView.SimpleIO())

def main():
  with imgui_ctx.begin("TicketView"):
    pass
  with imgui_ctx.begin("GanttView"):
    GanttView.compo(gctx)
  with imgui_ctx.begin("TriageView"):
    TriageView.compo(tctx)

immapp.run(
  window_title="hourtrack",
  gui_function=main
)
